<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html">
	<!-- template="/template2/templateCustomer.xhtml" -->

	<!-- 	<ui:define name="title">add category</ui:define> -->

	<!-- 	<ui:define name="pageContent"> -->

	<h:form id="formadd" rendered="#{categoryBean.displayForm}">
		<h:panelGrid columns="2">


			<h:outputLabel value="id" />
			<h:inputText id="in" value="#{categoryBean.category.id}" >
			<f:validateLength minimum="1" maximum="2" ></f:validateLength>
			
			</h:inputText>



			<h:outputLabel value="category" />
			<h:inputText value="#{categoryBean.category.name}" />

		</h:panelGrid>
		<h:panelGrid columns="4">
			<h:commandButton action="#{categoryBean.doCancel}" value="cancel"  />
			<h:commandButton action="#{categoryBean.doDelete}" value="delete" />
			<h:commandButton action="#{categoryBean.doSave}" value="save"  >
			 <h:message for="in" style="color:red" showDetail="min 1 max 2" />
			</h:commandButton>


		</h:panelGrid>

	</h:form>

	<!-- 	</ui:define> -->

</ui:composition>
